'use strict';

(function() {
	const _t = init('com.crocro.util');

	// searchJSPath | 日付時間フォーマット
	_t.searchJSPath = function(fnm) {
		// 変数の初期化
		let res = ['', fnm];
		const re = new RegExp('(^|^.*\/)' + fnm.replace(/\./g, '\\.') + '$');

		// scriptタグを探索
		const scriptArr = document.getElementsByTagName('script');
		for (let i = 0; i < scriptArr.length; i ++) {
			// src部分を取得
			let src = scriptArr[i].src;

			// キャッシュ排除用の「?20XX-XX-XX」のような
			// パラメータを除去
			src = src.replace(/\?.+$/, "");

			// 一致した場合は、パスの一部を取得
			const mtch = src.match(re);
			if (mtch) {res[0] = mtch[1]}
		};

		return res;
	};

	// 初期化用関数
	function init(p) {
		return ((o, p) => {
			p.split('.').forEach(k => o = o[k]||(o[k]={}));
			return o})(window, p);
	};
})();
